require( "scripts/style.lua" );

MetricsMode(11);

SetTopModalOnly(true);

MakeDialog
{
	Comic
	{ 
		x=0,
		y=0,
		w=800,
		h=600,
		
		Bitmap
		{ 
			name="backgroundimage",
			image="Game/Comic/Page01",
		},
		
		ComicWords
		{ 
			x=0,
			y=0,
			w=800,
			h=600,	
		},			
			
		Button
		{
			x=650-150,
			y=550,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					ComicNextPage(-1);
				end
		},
		
		Button
		{
			x=650,
			y=550,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="next",
			label="next",
			type = kPush,
			command=
				function()
					if (ComicNextPage(1) == 0) then
						PopModal();
						SetTopModalOnly(false);
					end
				end
		},
	}
}
